> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Assistant Action

> Create a new action for a specific assistant.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/assistants/{assistant_id}/actions
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/assistants/{assistant_id}/actions:
    post:
      tags:
        - Orgs Assistants
      summary: Create Assistant Action
      description: Create a new action for a specific assistant.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the assistant
          name: assistant_id
          in: path
      requestBody:
        description: The assistant action information.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAssistantActionSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateAssistantActionSchema'
      responses:
        '200':
          description: The created assistant action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantActionSchema'
components:
  schemas:
    CreateAssistantActionSchema:
      type: object
      properties:
        enabled:
          type: boolean
        name:
          type:
            - string
            - 'null'
          maxLength: 64
          description: The name of the action, e.g. "Send email"
        instructions:
          type:
            - string
            - 'null'
          maxLength: 2048
          description: Extra instructions for the action
        action_id:
          $ref: '#/components/schemas/ConnectionActionIdSchema'
        connection_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the connection to use for the action if required, e.g.
            "con_XXX"
          examples:
            - con_XXX
        config:
          $ref: '#/components/schemas/InputValuesWithDefinitionsSchema'
        approval_mode:
          $ref: '#/components/schemas/ConnectionActionApprovalModeSchema'
      required:
        - enabled
        - action_id
        - config
      description: Schema for creating a new assistant action
    AssistantActionSchema:
      type: object
      properties:
        id:
          type: string
          description: The ID of the action
        enabled:
          type: boolean
          description: Whether the action is enabled
        name:
          type:
            - string
            - 'null'
          description: The name of the action
        instructions:
          type:
            - string
            - 'null'
          description: The instructions for the action
        action_id:
          type: string
          description: The ID of the action, e.g. "TOOLS:HTTP_REQUEST"
          examples:
            - TOOLS:HTTP_REQUEST
            - TOOLS:WEB_SEARCH
            - TOOLS:WEB_SCRAPING
        assistant_id:
          type: string
          description: The ID of the assistant
          examples:
            - ast_XXX
        connection_id:
          type:
            - string
            - 'null'
          description: The ID of the connection to use for the action if required
          examples:
            - con_XXX
        config:
          $ref: '#/components/schemas/InputValuesWithDefinitionsSchema'
        approval_mode:
          $ref: '#/components/schemas/ConnectionActionApprovalModeSchema'
        position:
          type: integer
          description: >-
            The position of the action within its group. Bucketed in multiples
            of 100, e.g. 100, 101, 102 for the first group, 200, 201, 202 for
            the second
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - enabled
        - name
        - instructions
        - action_id
        - assistant_id
        - connection_id
        - config
        - approval_mode
        - position
        - created_at
        - updated_at
      description: Schema for an assistant action
    ConnectionActionIdSchema:
      type: string
      enum:
        - SCHEDULER:ON_SCHEDULE
        - SCHEDULER:TIMEZONES_LIST
        - WORKFLOWS:WORKFLOWS_LIST
        - WORKFLOWS:WORKFLOW_ACTIONS
        - WORKFLOWS:CALL_WORKFLOW
        - TOOLS:HTTP_REQUEST
        - TOOLS:WEB_SEARCH
        - TOOLS:WEB_SCRAPING
        - TOOLS:OPENAPI_REQUEST
        - TOOLS:OPENAPI_OPERATIONS_LIST
        - TOOLS:OPENAPI_OPERATION_SCHEMA
        - FILES:DOWNLOAD_FILE
        - FILES:UPLOAD_FILE
        - FILES:CREATE_CSV
        - FILES:DELETE_FILE
        - FILES:MARKDOWN_TO_PDF
        - FILES:HTML_TO_PDF
        - TABLES:MANAGE_RECORDS
        - TABLES:CREATE_RECORD
        - TABLES:UPDATE_RECORD
        - TABLES:DELETE_RECORD
        - TABLES:SEARCH_RECORDS
        - TABLES:LIST_TABLES
        - TABLES:GET_TABLE_SCHEMA
        - TABLES:GET_RECORD
        - TABLES:LIST_VIEWS
        - TABLES:GET_VIEW_ITEMS
        - TABLES:CREATE_TABLE
        - TABLES:UPDATE_TABLE
        - TABLES:DELETE_TABLE
        - TABLES:MANAGE_FIELDS
        - TABLES:MOVE_FIELD
        - TABLES:DELETE_FIELD
        - TABLES:CREATE_VIEW
        - TABLES:UPDATE_VIEW
        - TABLES:DELETE_VIEW
        - TABLES:TABLES_LIST
        - TABLES:FIELDS_LIST
        - TABLES:RECORD_SCHEMA
        - PAGES:LIST_PAGES
        - PAGES:GET_PAGE
        - PAGES:CREATE_PAGE
        - PAGES:UPDATE_PAGE
        - PAGES:DELETE_PAGE
        - PAGES:CREATE_BLOCK
        - PAGES:UPDATE_BLOCK
        - PAGES:MOVE_BLOCK
        - PAGES:DELETE_BLOCK
        - PAGES:PAGES_LIST
        - KNOWLEDGE:SEARCH
        - KNOWLEDGE:GET_CHUNK
        - KNOWLEDGE:LIST_CONTENTS
        - KNOWLEDGE:GET_CONTENT
        - KNOWLEDGE:GET_CONTENT_TEXT
        - KNOWLEDGE:FIND_IN_CONTENT
        - KNOWLEDGE:REPLACE_IN_CONTENT
        - KNOWLEDGE:GET_STATS
        - KNOWLEDGE:ADD_CONTENT
        - KNOWLEDGE:UPDATE_CONTENT
        - KNOWLEDGE:REINDEX_CONTENT
        - KNOWLEDGE:DELETE_CONTENT
        - ASSISTANTS:LIST
        - ASSISTANTS:GET
        - ASSISTANTS:CREATE
        - ASSISTANTS:UPDATE
        - ASSISTANTS:REPLACE
        - ASSISTANTS:GET_MODELS
        - ASSISTANTS:UPDATE_SETTINGS
        - ASSISTANTS:LIST_CHANNELS
        - ASSISTANTS:CREATE_CHANNEL
        - ASSISTANTS:UPDATE_CHANNEL
        - ASSISTANTS:LIST_ACTIONS
        - ASSISTANTS:UPDATE_ACTION
        - ASSISTANTS:SET_CONTACT_FIELD
        - ASSISTANTS:REMOVE_CONTACT_FIELD
        - INBOX:LIST_CHATS
        - INBOX:GET_MESSAGES
        - INBOX:REPLY
        - INBOX:ASSIGN
        - INBOX:MARK_RESOLVED
        - INBOX:REOPEN
        - MEMBERS:LIST
        - BROADCASTS:LIST
        - BROADCASTS:GET
        - BROADCASTS:CREATE
        - BROADCASTS:UPDATE
        - BROADCASTS:DUPLICATE
        - BROADCASTS:DELETE
        - BROADCASTS:SCHEDULE
        - BROADCASTS:CANCEL
        - BROADCASTS:ACTIVATE
        - BROADCASTS:PAUSE
        - BROADCASTS:SEND_TEST
        - BROADCASTS:GET_ANALYTICS
        - BROADCASTS:LIST_RECIPIENTS
        - ANALYTICS:ORG_SUMMARY
        - ANALYTICS:ASSISTANTS_PERFORMANCE
        - ANALYTICS:AGENTS_PERFORMANCE
        - ANALYTICS:RESPONSE_TIMES
        - ANALYTICS:CHANNELS_BREAKDOWN
        - ANALYTICS:CONTACTS_GROWTH
        - ANALYTICS:CONTACTS_BY_CHANNEL
        - ANALYTICS:TOP_SEGMENTS
        - ANALYTICS:WORKFLOWS_PERFORMANCE
        - AUDIT:LIST
        - SKILLS:LIST
        - SKILLS:GET
        - SKILLS:CREATE
        - SKILLS:UPDATE
        - SKILLS:REPLACE
        - CONTACTS:SEARCH
        - CONTACTS:GET
        - CONTACTS:UPDATE
        - CONTACTS:DELETE
        - CONTACTS:MERGE
        - CONTACTS:UPDATE_SEGMENTS
        - CONTACTS:LIST_ACTIVITIES
        - CONTACTS:LIST_COMMENTS
        - CONTACTS:ADD_COMMENT
        - CONTACTS:LIST_MEMORIES
        - CONTACTS:LIST_FILES
        - SEGMENTS:LIST
        - SEGMENTS:GET
        - SEGMENTS:CREATE
        - SEGMENTS:UPDATE
        - SEGMENTS:DELETE
        - EMAILS:ON_EMAIL_STATUS_CHANGE
        - EMAILS:SEND_EMAIL
        - EMAILS:LIST_SENDERS
        - MCP:TOOLS_LIST
        - MCP:TOOL_SCHEMA
        - MCP:TOOL_CALL
        - GOOGLE_SHEETS:ON_SPREADSHEETS_NEW_ROW
        - GOOGLE_SHEETS:SPREADSHEETS_SEARCH
        - GOOGLE_SHEETS:SPREADSHEETS_LIST
        - GOOGLE_SHEETS:SPREADSHEETS_FILES_LIST
        - GOOGLE_SHEETS:WORKSHEETS_LIST
        - GOOGLE_SHEETS:SPREADSHEETS_APPEND_ROW
        - GOOGLE_SHEETS:SPREADSHEETS_UPDATE_ROW
        - GOOGLE_CALENDAR:ON_NEW_EVENT
        - GOOGLE_CALENDAR:CALENDARS_LIST
        - GOOGLE_CALENDAR:FREEBUSY_QUERY
        - GOOGLE_CALENDAR:EVENTS_SEARCH
        - GOOGLE_CALENDAR:EVENTS_GET
        - GOOGLE_CALENDAR:EVENTS_CREATE
        - GOOGLE_CALENDAR:EVENTS_UPDATE
        - GOOGLE_CALENDAR:EVENTS_DELETE
        - GOOGLE_CALENDAR:EVENTS_QUICK_ADD
        - OUTLOOK_CALENDAR:CALENDARS_LIST
        - OUTLOOK_CALENDAR:EVENTS_LIST
        - OUTLOOK_CALENDAR:FREEBUSY_QUERY
        - OUTLOOK_CALENDAR:EVENTS_SEARCH
        - OUTLOOK_CALENDAR:EVENTS_GET
        - OUTLOOK_CALENDAR:EVENTS_CREATE
        - OUTLOOK_CALENDAR:EVENTS_UPDATE
        - OUTLOOK_CALENDAR:EVENTS_DELETE
        - GOOGLE_DRIVE:FILES_SEARCH
        - GOOGLE_DRIVE:FILES_LIST
        - GOOGLE_DRIVE:FILES_GET
        - GOOGLE_DRIVE:FILES_DOWNLOAD
        - GOOGLE_DRIVE:FILES_CREATE
        - GOOGLE_DRIVE:FILES_UPDATE
        - GOOGLE_DRIVE:FILES_DELETE
        - GOOGLE_DRIVE:FOLDERS_CREATE
        - AIRTABLE:BASES_LIST
        - AIRTABLE:TABLES_LIST
        - AIRTABLE:TABLE_SCHEMA
        - AIRTABLE:RECORDS_SEARCH
        - AIRTABLE:RECORD_GET
        - AIRTABLE:RECORD_CREATE
        - AIRTABLE:RECORD_UPDATE
        - AIRTABLE:RECORD_DELETE
        - AIRTABLE:COLLABORATORS_LIST
        - NOTION:DATA_SOURCES_LIST
        - NOTION:DATA_SOURCE_SCHEMA
        - NOTION:USERS_LIST
        - NOTION:SEARCH
        - NOTION:RECORDS_SEARCH
        - NOTION:RECORD_GET
        - NOTION:RECORD_CREATE
        - NOTION:RECORD_UPDATE
        - NOTION:PAGES_SEARCH
        - NOTION:PAGES_AND_RECORDS_LIST
        - NOTION:PAGE_GET
        - NOTION:PAGE_CREATE
        - NOTION:PAGE_UPDATE
        - NOTION:PAGE_CONTENT_APPEND
        - NOTION:COMMENTS_LIST
        - NOTION:COMMENT_CREATE
        - LINEAR:TEAMS_LIST
        - LINEAR:STATES_LIST
        - LINEAR:USERS_LIST
        - LINEAR:LABELS_LIST
        - LINEAR:ISSUES_SEARCH
        - LINEAR:ISSUE_GET
        - LINEAR:ISSUE_CREATE
        - LINEAR:ISSUE_UPDATE
        - LINEAR:ISSUE_COMMENT_CREATE
        - TRELLO:BOARDS_LIST
        - TRELLO:BOARD_GET
        - TRELLO:LISTS_LIST
        - TRELLO:CARDS_SEARCH
        - TRELLO:CARD_GET
        - TRELLO:CARD_CREATE
        - TRELLO:CARD_UPDATE
        - TRELLO:CARD_MOVE
        - TRELLO:CARD_COMMENT
        - TRELLO:CARD_DELETE
        - TRELLO:MEMBERS_LIST
        - TRELLO:LABELS_LIST
        - HUBSPOT:CONTACTS_SEARCH
        - HUBSPOT:CONTACT_GET
        - HUBSPOT:CONTACT_CREATE
        - HUBSPOT:CONTACT_UPDATE
        - HUBSPOT:CONTACT_PROPERTIES_LIST
        - HUBSPOT:COMPANIES_SEARCH
        - HUBSPOT:COMPANY_GET
        - HUBSPOT:COMPANY_CREATE
        - HUBSPOT:COMPANY_UPDATE
        - HUBSPOT:COMPANY_PROPERTIES_LIST
        - HUBSPOT:DEALS_SEARCH
        - HUBSPOT:DEAL_GET
        - HUBSPOT:DEAL_CREATE
        - HUBSPOT:DEAL_UPDATE
        - HUBSPOT:DEAL_PROPERTIES_LIST
        - HUBSPOT:DEAL_PIPELINES_LIST
        - HUBSPOT:DEAL_STAGES_LIST
        - HUBSPOT:MEETINGS_SEARCH
        - HUBSPOT:MEETING_GET
        - HUBSPOT:MEETING_CREATE
        - HUBSPOT:MEETING_UPDATE
        - HUBSPOT:MEETING_DELETE
        - SALESFORCE:OBJECTS_LIST
        - SALESFORCE:LEADS_SEARCH
        - SALESFORCE:LEAD_GET
        - SALESFORCE:LEAD_CREATE
        - SALESFORCE:LEAD_UPDATE
        - SALESFORCE:LEAD_DELETE
        - SALESFORCE:CONTACTS_SEARCH
        - SALESFORCE:CONTACT_GET
        - SALESFORCE:CONTACT_CREATE
        - SALESFORCE:CONTACT_UPDATE
        - SALESFORCE:CONTACT_DELETE
        - SALESFORCE:ACCOUNTS_SEARCH
        - SALESFORCE:ACCOUNT_GET
        - SALESFORCE:ACCOUNT_CREATE
        - SALESFORCE:ACCOUNT_UPDATE
        - SALESFORCE:ACCOUNT_DELETE
        - SALESFORCE:OPPORTUNITIES_SEARCH
        - SALESFORCE:OPPORTUNITY_GET
        - SALESFORCE:OPPORTUNITY_CREATE
        - SALESFORCE:OPPORTUNITY_UPDATE
        - SALESFORCE:OPPORTUNITY_DELETE
        - ZOHO:MODULES_LIST
        - ZOHO:MODULE_FIELDS
        - ZOHO:RECORDS_SEARCH
        - ZOHO:RECORD_GET
        - ZOHO:RECORD_CREATE
        - ZOHO:RECORD_UPDATE
        - ZOHO:RECORD_DELETE
        - ZOHO:USERS_LIST
        - ZOHO:TAGS_LIST
        - ZOHO:PIPELINES_LIST
        - ZOHO:DEAL_STAGES_LIST
        - ZOHO:LEADS_SEARCH
        - ZOHO:LEAD_GET
        - ZOHO:LEAD_CREATE
        - ZOHO:LEAD_UPDATE
        - ZOHO:LEAD_DELETE
        - ZOHO:LEAD_CONVERT
        - ZOHO:CONTACTS_SEARCH
        - ZOHO:CONTACT_GET
        - ZOHO:CONTACT_CREATE
        - ZOHO:CONTACT_UPDATE
        - ZOHO:CONTACT_DELETE
        - ZOHO:CONTACT_TAGS_ADD
        - ZOHO:CONTACT_TAGS_REMOVE
        - ZOHO:ACCOUNTS_SEARCH
        - ZOHO:ACCOUNT_GET
        - ZOHO:ACCOUNT_CREATE
        - ZOHO:ACCOUNT_UPDATE
        - ZOHO:ACCOUNT_DELETE
        - ZOHO:DEALS_SEARCH
        - ZOHO:DEAL_GET
        - ZOHO:DEAL_CREATE
        - ZOHO:DEAL_UPDATE
        - ZOHO:DEAL_DELETE
        - ZOHO:CALENDAR_EVENTS_LIST
        - ZOHO:CALENDAR_EVENT_CREATE
        - ZOHO:CALENDAR_EVENT_UPDATE
        - ZOHO:CALENDAR_EVENT_DELETE
        - ZOHO:ATTACHMENTS_UPLOAD
        - ZOHO:ATTACHMENTS_LIST
        - ZOHO:ATTACHMENTS_DOWNLOAD
        - ZOHO:ATTACHMENTS_DELETE
        - ZOHO_BOOKINGS:WORKSPACES_LIST
        - ZOHO_BOOKINGS:SERVICES_LIST
        - ZOHO_BOOKINGS:STAFF_LIST
        - ZOHO_BOOKINGS:RESOURCES_LIST
        - ZOHO_BOOKINGS:AVAILABILITY_GET
        - ZOHO_BOOKINGS:APPOINTMENTS_SEARCH
        - ZOHO_BOOKINGS:APPOINTMENT_GET
        - ZOHO_BOOKINGS:APPOINTMENT_BOOK
        - ZOHO_BOOKINGS:APPOINTMENT_RESCHEDULE
        - ZOHO_BOOKINGS:APPOINTMENT_UPDATE
        - ZOHO_BOOKINGS:APPOINTMENT_CANCEL
        - ZOHO_BOOKINGS:CUSTOMER_CREATE
        - ZOHO_INVENTORY:ITEMS_SEARCH
        - ZOHO_INVENTORY:ITEM_GET
        - ZOHO_INVENTORY:ITEM_CREATE
        - ZOHO_INVENTORY:ITEM_UPDATE
        - ZOHO_INVENTORY:ITEM_IMAGE_UPLOAD
        - ZOHO_INVENTORY:ITEM_IMAGE_DELETE
        - ZOHO_INVENTORY:CONTACTS_SEARCH
        - ZOHO_INVENTORY:CONTACT_GET
        - ZOHO_INVENTORY:CONTACT_CREATE
        - ZOHO_INVENTORY:CONTACT_UPDATE
        - ZOHO_INVENTORY:SALES_ORDERS_SEARCH
        - ZOHO_INVENTORY:SALES_ORDER_GET
        - ZOHO_INVENTORY:SALES_ORDER_CREATE
        - ZOHO_INVENTORY:SALES_ORDER_UPDATE
        - ZOHO_INVENTORY:INVOICES_SEARCH
        - ZOHO_INVENTORY:INVOICE_GET
        - ZOHO_INVENTORY:INVOICE_CREATE
        - ZOHO_INVENTORY:INVOICE_SEND
        - ZOHO_CALENDAR:CALENDARS_LIST
        - ZOHO_CALENDAR:FREEBUSY_GET
        - ZOHO_CALENDAR:EVENTS_SEARCH
        - ZOHO_CALENDAR:EVENT_GET
        - ZOHO_CALENDAR:EVENT_CREATE
        - ZOHO_CALENDAR:EVENT_UPDATE
        - ZOHO_CALENDAR:EVENT_DELETE
        - GOHIGHLEVEL:CONTACTS_SEARCH
        - GOHIGHLEVEL:CONTACT_GET
        - GOHIGHLEVEL:CONTACT_CREATE
        - GOHIGHLEVEL:CONTACT_UPDATE
        - GOHIGHLEVEL:CONTACT_DELETE
        - GOHIGHLEVEL:CONTACT_TAGS_ADD
        - GOHIGHLEVEL:CONTACT_TAGS_REMOVE
        - GOHIGHLEVEL:OPPORTUNITIES_SEARCH
        - GOHIGHLEVEL:OPPORTUNITY_GET
        - GOHIGHLEVEL:OPPORTUNITY_CREATE
        - GOHIGHLEVEL:OPPORTUNITY_UPDATE
        - GOHIGHLEVEL:OPPORTUNITY_DELETE
        - GOHIGHLEVEL:PIPELINES_LIST
        - GOHIGHLEVEL:PIPELINE_STAGES_LIST
        - GOHIGHLEVEL:CALENDARS_LIST
        - GOHIGHLEVEL:CALENDAR_FREE_SLOTS
        - GOHIGHLEVEL:CALENDAR_BLOCKED_SLOTS
        - GOHIGHLEVEL:CALENDAR_EVENTS_LIST
        - GOHIGHLEVEL:CALENDAR_EVENT_CREATE
        - GOHIGHLEVEL:CALENDAR_EVENT_UPDATE
        - GOHIGHLEVEL:CALENDAR_EVENT_DELETE
        - GOHIGHLEVEL:CAMPAIGNS_LIST
        - GOHIGHLEVEL:CUSTOM_FIELDS
        - GOHIGHLEVEL:TAGS_LIST
        - GOHIGHLEVEL:COUNTRIES_LIST
        - GOHIGHLEVEL:USERS_LIST
        - CAL:SLOTS_GET
        - CAL:BOOKINGS_LIST
        - CAL:BOOKING_GET
        - CAL:BOOKING_CREATE
        - CAL:BOOKING_UPDATE
        - CAL:BOOKING_CANCEL
        - CAL:EVENTS_LIST
        - CALENDLY:AVAILABLE_TIMES_GET
        - CALENDLY:EVENTS_SEARCH
        - CALENDLY:EVENT_GET
        - CALENDLY:EVENT_CREATE
        - CALENDLY:EVENT_CANCEL
        - CALENDLY:SCHEDULING_LINK_CREATE
        - CALENDLY:EVENT_TYPES_LIST
        - CALENDLY:USERS_LIST
        - SLACK:ON_MENTION
        - SLACK:ON_CHANNEL_NEW_MESSAGE
        - SLACK:SEARCH
        - SLACK:CHANNELS_LIST
        - SLACK:CHANNELS_LIST_WITH_ANY
        - SLACK:CHANNELS_MESSAGES_LIST
        - SLACK:CHANNELS_SEND_MESSAGE
        - SLACK:CHANNELS_REPLY_MESSAGE
        - TELEGRAM:ON_NEW_MESSAGE
        - TELEGRAM:SEND_MESSAGE
        - INSTAGRAM:ON_NEW_MESSAGE
        - INSTAGRAM:SEND_MESSAGE
        - MESSENGER:ON_NEW_MESSAGE
        - MESSENGER:SEND_MESSAGE
        - MESSENGER:PAGES_LIST
        - TIKTOK:ON_NEW_MESSAGE
        - TIKTOK:SEND_MESSAGE
        - WHATSAPP:ON_NEW_MESSAGE
        - WHATSAPP:ON_MESSAGE_STATUS_CHANGE
        - WHATSAPP:SEND_MESSAGE
        - WHATSAPP:SEND_MESSAGE_TEMPLATE
        - WHATSAPP:PHONE_NUMBERS_LIST
        - WHATSAPP:TEMPLATES_LIST
        - GMAIL:ON_NEW_EMAIL
        - GMAIL:SEND_EMAIL
        - GMAIL:REPLY_EMAIL
        - GMAIL:FROM_EMAIL_LIST
        - GMAIL:LABELS_LIST
        - JAPIFON:ON_NEW_MESSAGE
        - JAPIFON:MESSAGE_SEND
        - TWILIO:ON_NEW_MESSAGE
        - TWILIO:SEND_MESSAGE
        - TWILIO:PHONE_NUMBERS_LIST
        - TELNYX:ON_NEW_MESSAGE
        - TELNYX:SEND_MESSAGE
        - TELNYX:PHONE_NUMBERS_LIST
        - RESEND:ON_NEW_EMAIL
        - RESEND:SEND_EMAIL
        - STRIPE:CUSTOMERS_SEARCH
        - STRIPE:CUSTOMER_GET
        - STRIPE:CUSTOMER_CREATE
        - STRIPE:CUSTOMER_UPDATE
        - STRIPE:CHECKOUT_SESSION_CREATE
        - STRIPE:BILLING_PORTAL_SESSION_CREATE
        - STRIPE:CURRENCIES_LIST
        - STRIPE:PRICES_LIST
        - STRIPE:PAYMENT_LINK_CREATE
        - STRIPE:PAYMENT_LINK_GET
        - STRIPE:PAYMENT_GET
        - STRIPE:PAYMENT_REFUND
        - STRIPE:PAYMENTS_LIST
        - STRIPE:SUBSCRIPTION_CREATE
        - STRIPE:SUBSCRIPTION_GET
        - STRIPE:SUBSCRIPTION_UPDATE
        - STRIPE:SUBSCRIPTION_CANCEL
        - STRIPE:SUBSCRIPTIONS_LIST
        - STRIPE:INVOICE_CREATE
        - STRIPE:INVOICE_GET
        - STRIPE:INVOICE_SEND
        - STRIPE:INVOICES_LIST
        - SHOPIFY:PRODUCTS_SEARCH
        - SHOPIFY:PRODUCT_GET
        - SHOPIFY:PRODUCT_VARIANTS_SEARCH
        - SHOPIFY:ORDERS_SEARCH
        - SHOPIFY:ORDER_GET
        - SHOPIFY:ORDER_CREATE
        - SHOPIFY:ORDER_UPDATE
        - SHOPIFY:CUSTOMERS_SEARCH
        - SHOPIFY:CUSTOMER_GET
        - SHOPIFY:CUSTOMER_CREATE
        - SHOPIFY:CUSTOMER_UPDATE
        - SHOPIFY:INVENTORY_LEVELS_LIST
        - ZENDESK:TICKET_SEARCH
        - ZENDESK:TICKET_GET
        - ZENDESK:TICKET_CREATE
        - ZENDESK:TICKET_UPDATE
        - ZENDESK:TICKET_REPLY
        - ZENDESK:TICKET_ADD_NOTE
        - ZENDESK:TICKET_COMMENTS_LIST
        - ZENDESK:TICKETS_LIST
        - ODOO:LEADS_SEARCH
        - ODOO:LEAD_GET
        - ODOO:LEAD_CREATE
        - ODOO:LEAD_UPDATE
        - ODOO:LEAD_DELETE
        - ODOO:LEAD_CONVERT
        - ODOO:OPPORTUNITIES_SEARCH
        - ODOO:OPPORTUNITY_GET
        - ODOO:OPPORTUNITY_CREATE
        - ODOO:OPPORTUNITY_UPDATE
        - ODOO:OPPORTUNITY_DELETE
        - ODOO:CONTACTS_SEARCH
        - ODOO:STAGES_LIST
        - ODOO:TAGS_LIST
        - ODOO:CALENDARS_LIST
        - ODOO:CALENDAR_EVENTS_LIST
        - ODOO:CALENDAR_EVENT_CREATE
        - ODOO:CALENDAR_EVENT_UPDATE
        - ODOO:CALENDAR_EVENT_DELETE
        - ODOO:RECORDS_SEARCH
        - ODOO:ATTACHMENTS_UPLOAD
        - ODOO:ATTACHMENTS_LIST
        - ODOO:ATTACHMENTS_DOWNLOAD
        - ODOO:ATTACHMENTS_DELETE
        - WOOCOMMERCE:PRODUCTS_SEARCH
        - WOOCOMMERCE:PRODUCT_GET
        - WOOCOMMERCE:PRODUCT_VARIATIONS_SEARCH
        - WOOCOMMERCE:CUSTOMERS_SEARCH
        - WOOCOMMERCE:CUSTOMER_GET
        - WOOCOMMERCE:CUSTOMER_CREATE
        - WOOCOMMERCE:CUSTOMER_UPDATE
        - WOOCOMMERCE:ORDERS_SEARCH
        - WOOCOMMERCE:ORDER_GET
        - WOOCOMMERCE:ORDER_CREATE
        - WOOCOMMERCE:ORDER_UPDATE
        - WOOCOMMERCE:ORDER_NOTE_CREATE
        - WOOCOMMERCE:COUPON_GET
        - WOOCOMMERCE:PRODUCT_CATEGORIES_LIST
    InputValuesWithDefinitionsSchema:
      type: object
      properties:
        input:
          $ref: '#/components/schemas/InputValuesSchema'
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsSchema'
      required:
        - input
      description: The input values with their dynamic field definitions
    ConnectionActionApprovalModeSchema:
      type: string
      enum:
        - auto
        - ask
        - never
      description: When the assistant must ask before running the action
    InputValuesSchema:
      type: object
      additionalProperties: {}
      description: Values of the fields
    DynamicFieldsSchema:
      type: object
      properties:
        path:
          type: string
        definition:
          $ref: '#/components/schemas/FieldsSchema'
      required:
        - path
        - definition
      description: The dynamic fields input definitions
    FieldsSchema:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/FieldSchema'
      description: The definition of the field schemas
    FieldSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldFileSchema'
        - $ref: '#/components/schemas/FieldNumberSchema'
        - $ref: '#/components/schemas/FieldStringSchema'
        - $ref: '#/components/schemas/FieldBooleanSchema'
        - $ref: '#/components/schemas/FieldDateSchema'
        - $ref: '#/components/schemas/FieldDateTimeSchema'
        - $ref: '#/components/schemas/FieldTimeSchema'
        - $ref: '#/components/schemas/FieldEnumSchema'
        - $ref: '#/components/schemas/FieldContentSchema'
        - $ref: '#/components/schemas/FieldConnectionSchema'
        - $ref: '#/components/schemas/FieldRecordSchema'
        - $ref: '#/components/schemas/FieldContactSchema'
        - $ref: '#/components/schemas/FieldUserSchema'
        - $ref: '#/components/schemas/FieldChatSchema'
        - $ref: '#/components/schemas/FieldSegmentSchema'
        - $ref: '#/components/schemas/FieldAssistantSchema'
        - $ref: '#/components/schemas/FieldObjectSchema'
      discriminator:
        propertyName: type
        mapping:
          file:
            $ref: '#/components/schemas/FieldFileSchema'
          number:
            $ref: '#/components/schemas/FieldNumberSchema'
          string:
            $ref: '#/components/schemas/FieldStringSchema'
          boolean:
            $ref: '#/components/schemas/FieldBooleanSchema'
          date:
            $ref: '#/components/schemas/FieldDateSchema'
          datetime:
            $ref: '#/components/schemas/FieldDateTimeSchema'
          time:
            $ref: '#/components/schemas/FieldTimeSchema'
          enum:
            $ref: '#/components/schemas/FieldEnumSchema'
          content:
            $ref: '#/components/schemas/FieldContentSchema'
          connection:
            $ref: '#/components/schemas/FieldConnectionSchema'
          record:
            $ref: '#/components/schemas/FieldRecordSchema'
          contact:
            $ref: '#/components/schemas/FieldContactSchema'
          user:
            $ref: '#/components/schemas/FieldUserSchema'
          chat:
            $ref: '#/components/schemas/FieldChatSchema'
          segment:
            $ref: '#/components/schemas/FieldSegmentSchema'
          assistant:
            $ref: '#/components/schemas/FieldAssistantSchema'
          object:
            $ref: '#/components/schemas/FieldObjectSchema'
    FieldFileSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - file
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldFileDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        allowed_types:
          type: array
          items:
            type: string
          description: >-
            Allowed mime types for the file field (e.g. image/*,
            application/pdf)
        visibility:
          $ref: '#/components/schemas/FileVisibilitySchema'
      required:
        - type
      description: The file type allows users to upload files
    FieldNumberSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldNumberDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: number
            - type: string
              enum:
                - '{{auto}}'
          description: The default value of the number field
      required:
        - type
      description: The number field allows users to input numbers
    FieldStringSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldStringDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the string field
        format:
          type: string
          enum:
            - url
            - email
            - phone
          description: The validation type for the field
        min:
          type: number
          minimum: 1
          description: The minimum length of the string field
        max:
          type: number
          minimum: 1
          description: The maximum length of the string field
      required:
        - type
      description: The string field allows users to input text
    FieldBooleanSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          type: boolean
          description: The default value of the boolean field
      required:
        - type
      description: The boolean field allows users mark a field as true or false
    FieldDateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDateDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          type:
            - string
            - 'null'
          format: date-time
          description: The default value of the date field, formatted as YYYY-MM-DD
      required:
        - type
      description: The date field allows users to select a date
    FieldDateTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - datetime
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDateTimeDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The default value of the date time field, formatted as
            YYYY-MM-DDTHH:MM:SS
      required:
        - type
      description: The date and time field allows users to select a date and time
    FieldTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - time
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldTimeDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
      required:
        - type
      description: The time field allows users to select a time
    FieldEnumSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - enum
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldEnumDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the enum field
        items:
          type: array
          items:
            $ref: '#/components/schemas/FieldEnumItemSchema'
          description: The options for the enum field
        list:
          $ref: '#/components/schemas/FieldListSchema'
        additional_items:
          type: boolean
          description: Indicates whether additional unlisted items are allowed
      required:
        - type
        - items
      description: The select field used to select from a list of items
    FieldContentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - content
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        content:
          type: string
          description: Any markdown content
        component:
          $ref: '#/components/schemas/FieldComponentSchema'
      required:
        - type
      description: The content field used to display markdown content
    FieldConnectionSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - connection
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        connection_type:
          $ref: '#/components/schemas/ConnectionTypeSchema'
      required:
        - type
        - connection_type
      description: The connection field used to select a connection
    FieldRecordSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - record
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the record field (encoded record id)
        target_table_id:
          type: string
          description: The id of the table whose records are referenceable
      required:
        - type
      description: A reference to one or more records in another table
    FieldContactSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - contact
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the contact field (encoded contact id)
      required:
        - type
      description: A reference to one or more contacts
    FieldUserSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - user
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: >-
            The default value of the user field (encoded user id of an org
            member)
      required:
        - type
      description: A reference to one or more users (org members)
    FieldChatSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - chat
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the chat field (encoded chat id)
      required:
        - type
      description: A reference to one or more chats
    FieldSegmentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - segment
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the segment field (encoded segment id)
      required:
        - type
      description: A reference to one or more segments
    FieldAssistantSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - assistant
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the assistant field (encoded assistant id)
      required:
        - type
      description: A reference to one or more assistants
    FieldObjectSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - object
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FieldSchema'
          description: >-
            A record of fields that can be of various types including object
            fields
        format:
          type: string
          enum:
            - schema
          description: The validation type for the object field
        additional_properties:
          anyOf:
            - $ref: '#/components/schemas/FieldAdditionalPropertiesSchema'
            - $ref: '#/components/schemas/FieldListSchema'
            - type: boolean
        default:
          anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - type: array
              items:
                type: object
                properties: {}
                additionalProperties: {}
          description: The default value of the object field
      required:
        - type
        - properties
      description: The object field that can contain other fields, including nested objects
    FieldFileDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            render:
              $ref: '#/components/schemas/FieldFileDisplayRenderSchema'
      description: Display options for the file field
    FieldSelectorModeSchema:
      type: string
      enum:
        - all
        - auto
        - manual
      description: >-
        Indicates the mode of the selector, auto will allow AI to determine the
        value, manual will allow the user to manually input a value
    FieldConditionSchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldKeySchema'
        operator:
          $ref: '#/components/schemas/FieldConditionOperatorSchema'
        value: {}
      required:
        - field
        - operator
      description: Condition for the field
    FieldPickerSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldPickerGoogleDriveSchema'
        - $ref: '#/components/schemas/FieldPickerWhatsappTemplateSchema'
      discriminator:
        propertyName: type
        mapping:
          google_drive:
            $ref: '#/components/schemas/FieldPickerGoogleDriveSchema'
          whatsapp_template:
            $ref: '#/components/schemas/FieldPickerWhatsappTemplateSchema'
      description: Picker configuration, when specified it makes this field a picker
    FieldKeySchema:
      type: string
      maxLength: 256
      pattern: ^[^.]+$
      description: The key of the field
    FileVisibilitySchema:
      type: string
      enum:
        - PUBLIC
        - PRIVATE
      description: >-
        Whether the file is private or public, private files URLs are signed
        with a token and can be accessed temporarily
      example: PRIVATE
    FieldNumberDisplaySchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldLayoutSchema'
        container:
          $ref: '#/components/schemas/FieldContainerSchema'
        format:
          $ref: '#/components/schemas/FieldNumberDisplayFormatSchema'
        notation:
          $ref: '#/components/schemas/FieldNumberDisplayNotationSchema'
        decimals:
          type: integer
          minimum: 0
          maximum: 8
          description: Fixed fraction digits (min and max); omit for the locale default
        currency:
          type: string
          maxLength: 3
          description: >-
            ISO 4217 currency code, used when `format` is `currency`; defaults
            to USD when omitted
        show_as:
          $ref: '#/components/schemas/FieldNumberShowAsSchema'
      description: Display options for the number field
    FieldStringDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            render:
              $ref: '#/components/schemas/FieldStringDisplayRenderSchema'
      description: Display options for the string field
    FieldDisplaySchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldLayoutSchema'
        container:
          $ref: '#/components/schemas/FieldContainerSchema'
      description: Display options for the field
    FieldDateDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            date_format:
              $ref: '#/components/schemas/FieldDateFormatSchema'
      description: Display options for the date field
    FieldDateTimeDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            date_format:
              $ref: '#/components/schemas/FieldDateFormatSchema'
            time_format:
              $ref: '#/components/schemas/FieldTimeFormatSchema'
      description: Display options for the datetime field
    FieldTimeDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            time_format:
              $ref: '#/components/schemas/FieldTimeFormatSchema'
      description: Display options for the time field
    FieldEnumDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            render:
              $ref: '#/components/schemas/FieldEnumDisplayRenderSchema'
            sort:
              $ref: '#/components/schemas/FieldEnumDisplaySortSchema'
      description: Display options for the enum field
    FieldEnumItemSchema:
      type: object
      properties:
        label:
          type: string
          description: Label of the enum item
        value:
          type: string
          description: Value of the enum item
        description:
          type: string
          description: Description of the enum item
        color:
          $ref: '#/components/schemas/ColorNameSchema'
        icon:
          type: string
          maxLength: 64
          pattern: ^[a-zA-Z0-9_-]+$
          description: The name of the icon to use in the UI
          oneOf:
            - $ref: '#/components/schemas/IconNameSchema'
        icon_url:
          type: string
        metadata:
          $ref: '#/components/schemas/FieldEnumItemMetadataSchema'
      required:
        - value
      description: The enum item
    FieldListSchema:
      type: object
      properties:
        path:
          type: string
          description: The connection list action path used to show autocomplete options
        resource_id:
          type: string
          description: >-
            An optional resource ID to scope the list to a specific resource,
            only used on dynamic fields
        sync_on_mount:
          type: boolean
          description: >-
            When true, the selected value is re-fetched on mount to keep cached
            metadata in sync with the remote source
      description: >-
        Configuration for fields that fetch their data from a remote connection
        list action
    FieldComponentSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldWhatsappTemplateComponentSchema'
      discriminator:
        propertyName: type
        mapping:
          whatsapp_template:
            $ref: '#/components/schemas/FieldWhatsappTemplateComponentSchema'
      description: The component field used to display a custom component
    ConnectionTypeSchema:
      type: string
      enum:
        - SCHEDULER
        - WORKFLOWS
        - TOOLS
        - FILES
        - EMAILS
        - HTTP_CREDENTIALS
        - TABLES
        - PAGES
        - KNOWLEDGE
        - SKILLS
        - CONTACTS
        - SEGMENTS
        - ASSISTANTS
        - INBOX
        - MEMBERS
        - BROADCASTS
        - ANALYTICS
        - AUDIT
        - PHONE
        - GMAIL
        - GOOGLE_SHEETS
        - GOOGLE_CALENDAR
        - GOOGLE_DRIVE
        - OUTLOOK_CALENDAR
        - AIRTABLE
        - NOTION
        - LINEAR
        - HUBSPOT
        - GOHIGHLEVEL
        - CAL
        - CALENDLY
        - RESEND
        - OAUTH
        - SLACK
        - TELEGRAM
        - TRELLO
        - FACEBOOK
        - WHATSAPP
        - INSTAGRAM
        - MESSENGER
        - TIKTOK
        - JAPIFON
        - TWILIO
        - TELNYX
        - ZOHO
        - ZOHO_BOOKINGS
        - ZOHO_INVENTORY
        - ZOHO_CALENDAR
        - SALESFORCE
        - STRIPE
        - SHOPIFY
        - ZENDESK
        - MCP
        - ODOO
        - WOOCOMMERCE
      description: Connection type
      example: SLACK
    FieldAdditionalPropertiesSchema:
      type: object
      properties:
        schema:
          $ref: '#/components/schemas/FieldSchema'
      required:
        - schema
    FieldFileDisplayRenderSchema:
      type: string
      enum:
        - button
        - dropzone
      description: The render type of the file field
    FieldConditionOperatorSchema:
      type: string
      enum:
        - eq
        - neq
        - gt
        - gte
        - lt
        - lte
        - contains
        - not_contains
        - is_empty
        - is_not_empty
      description: The operator for the field condition
    FieldPickerGoogleDriveSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - google_drive
          description: Picker that allows selecting files from Google Drive
        views:
          type: array
          items:
            $ref: '#/components/schemas/FieldPickerGoogleDriveViewSchema'
        selectable_mime_types:
          type: array
          items:
            type: string
          description: >-
            A comma-separated list of MIME types to restrict the selectable
            files in the picker
      required:
        - type
        - views
      description: Picker that allows selecting from Google Drive files
    FieldPickerWhatsappTemplateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_template
          description: Picker that allows selecting from WhatsApp templates
      required:
        - type
      description: Picker that allows selecting a WhatsApp template
    FieldLayoutSchema:
      type: string
      enum:
        - inline
        - stacked
      description: Controls how the label and field are arranged (inline or stacked)
    FieldContainerSchema:
      type: string
      enum:
        - grid
        - full
        - center
      description: >-
        Controls how the field container behaves in terms of width and
        positioning
    FieldNumberDisplayFormatSchema:
      type: string
      enum:
        - number
        - percent
        - currency
      description: >-
        Numeric style (maps to Intl.NumberFormat `style`); `number` is a plain
        number. Thousand separators are always applied.
    FieldNumberDisplayNotationSchema:
      type: string
      enum:
        - standard
        - compact
      description: >-
        Number notation (maps to Intl.NumberFormat `notation`); `compact`
        renders 1.2K (short form)
    FieldNumberShowAsSchema:
      type: object
      properties:
        kind:
          type: string
          enum:
            - number
            - bar
            - ring
          description: 'How to render the number: a plain value, a progress bar, or a ring'
        color:
          $ref: '#/components/schemas/ColorNameSchema'
        divide_by:
          type: number
          exclusiveMinimum: 0
          description: Denominator for the bar / ring progress (value / divide_by)
        show_number:
          type: boolean
          description: Show the numeric value alongside the bar / ring
      required:
        - kind
      description: Renders the number as a plain value, a progress bar, or a ring
    FieldStringDisplayRenderSchema:
      type: string
      enum:
        - text
        - textarea
        - password
      description: >-
        The render type of the string field, text is a single line input,
        textarea is a multi-line input
    FieldDateFormatSchema:
      type: string
      enum:
        - full
        - short
        - month_day_year
        - day_month_year
        - year_month_day
        - relative
      description: The rendered date format for date / datetime fields
    FieldTimeFormatSchema:
      type: string
      enum:
        - hidden
        - 12h
        - 24h
      description: >-
        The rendered time format for datetime / time fields. `hidden` collapses
        a datetime to a date-only render.
    FieldEnumDisplayRenderSchema:
      type: string
      enum:
        - dropdown
        - inline
      description: The render type of the enum field
    FieldEnumDisplaySortSchema:
      type: string
      enum:
        - manual
        - asc
        - desc
      description: >-
        Option ordering by label; `manual` keeps the `items[]` order (default),
        `asc` A→Z, `desc` Z→A
    ColorNameSchema:
      type: string
      enum:
        - red
        - orange
        - amber
        - yellow
        - lime
        - green
        - teal
        - cyan
        - sky
        - blue
        - indigo
        - violet
        - purple
        - fuchsia
        - pink
        - rose
        - neutral
      description: The name of the color to use in the UI
    IconNameSchema:
      type: string
      enum:
        - StepFormIcon
        - StepAiIcon
        - StepNoteIcon
        - StepBranchIcon
        - StepCodeIcon
        - ConnectionIcon
        - ConnectionSchedulerIcon
        - ConnectionFilesIcon
        - ConnectionHttpIcon
        - ConnectionWorkflowIcon
        - ConnectionMcpIcon
        - ConnectionAudienceIcon
        - ConnectionTablesIcon
        - ConnectionAssistantsIcon
        - ConnectionInboxIcon
        - ConnectionKnowledgeIcon
        - ConnectionAuditIcon
        - InternalIntegrationIcon
        - CustomIntegrationIcon
        - ToolThinkIcon
        - ToolWebSearchIcon
        - ToolWebScrapingIcon
        - ToolGenerateImageIcon
        - ToolDisplayFileIcon
        - ToolCalculatorIcon
        - ToolGenerateFileIcon
        - ToolGeneratePdfIcon
        - ToolRunCodeIcon
        - ToolDeepResearchIcon
        - ToolSearchKbIcon
        - ToolShowOptionsIcon
        - ToolRequestLocationIcon
        - ToolSendLocationIcon
        - ToolManageMemoryIcon
        - ToolUpdateContactIcon
        - TextIcon
        - ClockFadingIcon
        - CalendarIcon
        - CloudIcon
        - GlobeAltIcon
        - LockClosedIcon
        - NoSymbolIcon
        - SparklesIcon
        - AcademicCapIcon
        - HandRaisedIcon
        - BoltIcon
        - WorkflowIcon
        - FileSpreadsheetIcon
        - DatabaseIcon
        - TableIcon
        - TableRowIcon
        - TableRowAddIcon
        - TableRowEditIcon
        - TableRowDeleteIcon
        - TableRowsIcon
        - PageIcon
        - UserIcon
        - UsersIcon
        - EmailIcon
        - PhoneIcon
        - CurrencyIcon
        - FunctionIcon
        - TableCellsIcon
        - DocumentTextIcon
        - QueueListIcon
        - TagIcon
        - SettingsIcon
        - ShoppingCartIcon
        - ShoppingBagIcon
        - BuildingStorefrontIcon
        - MegaphoneIcon
        - WrenchScrewdriverIcon
        - DocumentChartBarIcon
        - ClipboardDocumentListIcon
        - ClipboardDocumentCheckIcon
        - FolderIcon
        - ArchiveBoxIcon
        - InboxIcon
        - BookOpenIcon
        - BookmarkIcon
        - NewspaperIcon
        - RectangleStackIcon
        - PencilSquareIcon
        - UserGroupIcon
        - UserPlusIcon
        - IdentificationIcon
        - FaceSmileIcon
        - HandThumbUpIcon
        - HeartIcon
        - StarIcon
        - CheckBadgeIcon
        - TrophyIcon
        - CrownIcon
        - ChatBubbleLeftIcon
        - ChatBubbleLeftRightIcon
        - EnvelopeIcon
        - EnvelopeOpenIcon
        - DevicePhoneMobileIcon
        - BellIcon
        - PaperAirplaneIcon
        - AtSymbolIcon
        - RssIcon
        - LifebuoyIcon
        - CreditCardIcon
        - BanknotesIcon
        - CurrencyDollarIcon
        - CurrencyEuroIcon
        - ReceiptPercentIcon
        - WalletIcon
        - CoinsIcon
        - GiftIcon
        - TicketIcon
        - ScaleIcon
        - TruckIcon
        - CubeIcon
        - CalendarDaysIcon
        - CalendarDateRangeIcon
        - ClockIcon
        - FlagIcon
        - CheckCircleIcon
        - ListBulletIcon
        - FunnelIcon
        - ChartBarIcon
        - ChartPieIcon
        - PresentationChartLineIcon
        - ArrowTrendingUpIcon
        - BriefcaseIcon
        - Cog6ToothIcon
        - KeyIcon
        - ShieldCheckIcon
        - LightBulbIcon
        - BeakerIcon
        - BugAntIcon
        - CpuChipIcon
        - CodeBracketIcon
        - CommandLineIcon
        - ServerIcon
        - LinkIcon
        - HomeIcon
        - HomeModernIcon
        - BuildingOfficeIcon
        - BuildingOffice2Icon
        - BuildingLibraryIcon
        - MapPinIcon
        - MapIcon
        - GlobeAmericasIcon
        - RocketLaunchIcon
        - PlaneIcon
        - CarIcon
        - SunIcon
        - MoonIcon
        - FireIcon
        - CakeIcon
        - ScissorsIcon
        - SwatchIcon
        - PaintBrushIcon
        - CoffeeIcon
        - UtensilsIcon
        - LeafIcon
        - DumbbellIcon
        - HeartPulseIcon
        - PawPrintIcon
        - StethoscopeIcon
        - CameraIcon
        - PhotoIcon
        - FilmIcon
        - VideoCameraIcon
        - MicrophoneIcon
        - MusicalNoteIcon
        - SpeakerWaveIcon
        - PlayCircleIcon
        - TvIcon
        - RadioIcon
        - PuzzlePieceIcon
        - GamepadIcon
        - ModelAutoIcon
        - ModelOpenAIIcon
        - ModelAnthropicIcon
        - ModelClaudeIcon
        - ModelGoogleIcon
        - ModelXAIIcon
        - ModelGrokIcon
        - ModelPerplexityIcon
        - ModelGroqIcon
        - ModelAzureIcon
        - ModelElevenLabsIcon
        - ModelDeepgramIcon
        - ModelOpenRouterIcon
        - ModelDeepSeekIcon
        - ModelMoonshotIcon
        - ModelQwenIcon
        - ModelMetaIcon
        - ModelZhipuIcon
      description: The name of the icon to use in the UI
    FieldEnumItemMetadataSchema:
      type: object
      properties:
        link:
          type: string
          format: uri
          description: A link associated with the enum item
        data:
          description: Additional data for the enum item
      description: Additional metadata for the enum item
    FieldWhatsappTemplateComponentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_template
      required:
        - type
      description: The component field used to display a WhatsApp template
    FieldPickerGoogleDriveViewSchema:
      type: string
      enum:
        - DOCS
        - DOCS_IMAGES
        - DOCS_IMAGES_AND_VIDEOS
        - DOCS_VIDEOS
        - DOCUMENTS
        - DRAWINGS
        - FOLDERS
        - FORMS
        - PDFS
        - PRESENTATIONS
        - SPREADSHEETS
      description: The views available for the Google Drive picker
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````